Subject: Re: [DMM] Fwd: New Version Notification for draft-matsushima-stateless-uplane-vepc-00.txt

From: Sat Usui <[email-masked]>
Date: Wed, 31 Jul 2013 15:34:19 +0200

Hi Ryuji,

Thank you for submitting this draft. This approach is very interesting to me.
I read the draft, and I have some comments:

- It couldn't be found how to handle one and the other APNs simultaneously.
  Is it considered only for a default APN?

- I'm confused about a SGW interface address. In section 4.2, you state:

    "vEPC must use a S1-U address that is different from anycast address
     assigned to EPC-Es."

  On the other hand you state in section 3.3:

    "When an operator needs to increase virtualized instances to cope with
     just signaling overload, the operator should use the existing S1-U
     address (i.e. EPC-E anycast address) for the new instances."

  Does the latter mean not a SGW interface address but a transport
address in S1AP?

- As already discussed on list, the S1-U SGW TEID might change during
the X2 handover
  from idle-mode and from LTE to 3G (vice versa). I also think that
the UE's prefix
  should remain constant during handovers even if using stateless
u-plane or not.
  So, it might be good to use the PGW TEID or something constant for
the UE's prefix
  rather than the S1-U SGW TEID.

- If PGW sends IPv6 RAs periodically, a MN will have multiple IPv6 addresses.
  If it is not expected, RAs from PGW should be discarded, or PGW
should not send RAs.

- On fallback to the legacy EPC, I would think that it is not possible to use a
  handover procedure, because UE's prefix assignment must change from
EPC-E to PGW.
  If the PGW TEID is used for UE's prefix and assigned by PGW, it is
possible to use
  a handover procedure.

- How does a handover between multiple EPC-Es sets?
  I think it is not possible by the one SGW. The other SGW might be needed.

I'm looking forward to your presentation tomorrow.

Regards,
Satoshi Usui